4 Komitmen 02373eee5b ... 3b7d5a11ef

Pembuat SHA1 Pesan Tanggal
  Digit 3b7d5a11ef add h3rbinal.sh 5 bulan lalu
  Digit 62ed98891c meh binds scratchpad 5 bulan lalu
  Digit b1b9809743 brl aliases path mend retopper time 5 bulan lalu
  Digit 484aa5a108 mini mpv spruce but mibi jank still 5 bulan lalu
4 mengubah file dengan 169 tambahan dan 10 penghapusan
  1. 43 7
      .config/fish/config.fish
  2. 19 3
      .config/herbstluftwm/autostart
  3. 9 0
      .config/mpv/mpv.conf
  4. 98 0
      bin/h3rbinal.sh

+ 43 - 7
.config/fish/config.fish

@@ -55,9 +55,21 @@ function brlwhiches
     for i in (brl list | egrep -v bedrock); strat -r $i brl which $argv; end
 end
 
-alias brlw brlwhiches 
-alias brlo brlwhiches # for the phonetic lols
+function brll
+    brl list
+end
+
+function brlw
+    brl which $argv
+end
+
+alias brlws brlwhiches
 
+function brlo
+    brl which # for the phonetic lols
+end
+
+alias brlos brlwhiches # for the phonetic lols
 function whohas
     brlwhiches $argv ; pmms $argv
 end
@@ -319,7 +331,7 @@ end
 #i'm just gonna set the whole thing straight, static, right here.   no $PATH in PATH. ~! wtf man this is no right on devuan... why u confuse me with this bedrock in my path.   
 ##set -gx PATH /bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /bedrock/cross/bin /home/digit/bin /usr/games/bin /usr/games
 ### why was that^ getting set idk.  dont edit configs when sleepy with crazy ideas to test.  brl when, not b4
-set -gx PATH /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /home/digit/bin /usr/games/bin /usr/games
+#set -gx PATH /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /home/digit/bin /usr/games/bin /usr/games
 #lets hope my meddling with dmenu-bind.sh up next doesnt mess things up.  ... hrm, yup, dmenu_run, 
 #######################################################################################
 
@@ -328,7 +340,7 @@ set -gx PATH /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbi
 #######################################################################################
 #i'm just gonna set the whole thing straight, static, right here.   
 #set -gx PATH /bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /bedrock/cross/bin
-set -gx PATH /bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /home/digit/bin /usr/games/bin /usr/games /bedrock/cross/bin
+#set -gx PATH /bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /home/digit/bin /usr/games/bin /usr/games /bedrock/cross/bin
 #/usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /home/digit/bin /usr/games/bin /usr/games 
 #lets hope my meddling with dmenu-bind.sh up next doesnt mess things up.  ... hrm, yup, dmenu_run, 
 #######################################################################################
@@ -366,7 +378,7 @@ set -gx PATH /bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin
 #^ which is just them all botched together.   no.   uhh... 
 
 #ok, so, try this one... 
-set -gx PATH /home/digit/.nix-profile/bin /nix/var/nix/profiles/default/bin /home/digit/bin /bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /home/digit/bin /usr/games/bin /usr/games /usr/lib/llvm/14/bin:/bedrock/cross/bin /bedrock/cross/bin 
+#set -gx PATH /home/digit/.nix-profile/bin /nix/var/nix/profiles/default/bin /home/digit/bin /bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /home/digit/bin /usr/games/bin /usr/games /usr/lib/llvm/14/bin:/bedrock/cross/bin /bedrock/cross/bin 
 
 #/bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin /usr/bin /usr/sbin /bin /sbin /usr/local/games /usr/games /opt/bin /usr/lib/llvm/14/bin:/bedrock/cross/bin
 
@@ -400,7 +412,16 @@ set -gx PATH /home/digit/.nix-profile/bin /nix/var/nix/profiles/default/bin /hom
 
 #so, yet another static path fix attemp, upon seeing fish couldnt see pmm when ran from my alias, wat.
 #
-set -gx PATH /home/digit/bin:/bedrock/cross/pin/bin:/bedrock/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin:/usr/local/games:/usr/games:/opt/bin:/usr/lib/llvm/14/bin:/bedrock/cross/bin
+#set -gx PATH /home/digit/bin:/bedrock/cross/pin/bin:/bedrock/bin:/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin:/usr/local/games:/usr/games:/opt/bin:/usr/lib/llvm/14/bin:/bedrock/cross/bin
+#20240601 attempt... using what running, + xscreensaver dir.
+#set -gx PATH /bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /home/digit/bin /usr/games/bin /usr/games  /usr/libexec/xscreensaver /bedrock/cross/bin
+#ok, but making it use the specific stratum, apparently necessary, i'm guessing, since^ didnt seem to work, somehow.
+#set -gx PATH /bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /home/digit/bin /usr/games/bin /usr/games /usr/libexec/xscreensaver /bedrock/cross/bin
+#or was it just the space.... test that first...  before
+# nope.  try this then
+set -gx PATH /bedrock/cross/pin/bin /bedrock/bin /usr/local/bin /usr/local/sbin /opt/bin /opt/sbin /usr/bin /usr/sbin /bin /sbin /snap/bin /home/digit/bin /usr/games/bin /usr/games /bedrock/strata/devuan/usr/libexec/xscreensaver /bedrock/cross/bin
+#lol, yeah, make sure not typo it as stratum instead of strata.  lol.
+#######################################################################################
 
 function realc
     string repeat -n (math "$LINES - 2") \n #bind to ctrl+shift+l
@@ -439,7 +460,7 @@ end
 
 
 #current way in 2024 i get an old htop fork with the stratum collumn to show and not choke on a library fail nor chew up too much ram over time.
-function retopper ; sleep 3 ; timeout 20m strat decibel htop ; sleep 5 ; retopper ; end
+function retopper ; sleep 2 ; timeout 42m strat decibel htop ; sleep 2 ; retopper ; end
 
 #to get that error to stfu... 
 #export LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libgtk3-nocsd.so.0
@@ -2109,6 +2130,16 @@ end
 #^^^######### ^ the hof section ^ #########^^^#
 ###############################################
 
+###############################################
+#^^^######### ^ workout section ^ #########^^^#
+function shoulders
+    #    mpv --fullscreen --panscan=1.00 --start=07:00 --ab-loop-a=07:00 --ab-loop-b=11:19 ~/cinema/_healing/workout/shoulders.mp4
+    mpv --fullscreen --panscan=1.00 --start=0:50 --ab-loop-a=00:50 --ab-loop-b=16:10 ~/cinema/_healing/workout/shoulders.mp4    
+end
+
+#^^^######### ^ workout section ^ #########^^^#
+###############################################
+
 ##############  asmr  ##############
 function asmr
     mpv --shuffle "/home/digit/cinema/_asmr/"
@@ -2238,6 +2269,8 @@ alias mp17       "mpv --ytdl-format=17"
 #tazys format choice
 alias mptazy       "mpv --ytdl-format=18"
 alias mp18     "mpv --ytdl-format=18"
+alias mp92     "mpv --ytdl-format=92"
+alias mp93     "mpv --ytdl-format=93"
 #alias mp18 "strat -r aurtix mpv --ytdl-format=18 $1"
 function mp18f #while needing specify which stratum
 ##    strat -r aurtix mpv --ytdl-format=18
@@ -2261,6 +2294,9 @@ alias mprumble480p "mpv --ytdl-format=mp4-480p"
 #master builder
 alias mp22     "mpv --ytdl-format=22"
 
+#odysee
+alias mpvo "mpv --ytdl-format=hls-655"
+
 #youtube watch things about...
 #tazy format
 function mps18

+ 19 - 3
.config/herbstluftwm/autostart

@@ -10,15 +10,22 @@
 # sorely missing xmonad's stack style of control.  
 # currengly cant apply shift to move tabbed windows in a shmancyherbstluftwmsplit, since i'm just mod-tabbing, and its reverse is with shift...  whereas if i were e and d 'ing..  but then it doesnt go through the stack of windows inclusive of tabs, just hops layers... :/   ... i'll suss this fun little puzzle when more fresh headed.
 
+###  where did i put the thing that says how fast the scratchpad scrolls into view?  i want it faster yet.  fewer redraws.
+
+
 hc() {
     herbstclient "$@"
 }
 
+#
 hc emit_hook reload
 
 #meh, yeah, dont really need.  may as well turn off while tweaking, ~ if only to keep the nice background i set ~ until i sort this with clever shell-fu
 #xsetroot -solid '#381919'
 
+#remove rules and start over.
+#hc unrule -F
+
 # remove all existing keybindings
 hc keyunbind --all
 
@@ -40,7 +47,8 @@ hc keybind $Mod-Control-F11 wmexec openbox
 # and will wanna get one for xmonad too.  ;0
 hc keybind $Mod-Control-F9 wmexec xmonad
 
-hc keybind $Mod-Shift-q quit
+#yikes, nearly pressed this... add more modifiers
+hc keybind $Mod-Control-Shift-q quit
 hc keybind $Mod-Shift-r reload
 #hc keybind $Mod-Shift-c close #not close'y enough.
 #hc keybind $Mod-Shift-c close_or_remove #closes the empty splitframe too
@@ -104,7 +112,6 @@ hc keybind $Mod-Control-space split explode
 # close a split ( i think... )
 hc keybind $Mod-c remove
 
-
 # resizing frames and floating clients
 resizestep=0.02
 hc keybind $Mod-Control-h       resize left +$resizestep
@@ -154,7 +161,9 @@ hc keybind $Mod-Shift-x move_index -1 --skip-visible
 hc keybind $Mod-t floating toggle #tiling toggle.  ;D  smart.
 #hc keybind $Mod-f fullscreen toggle
 hc keybind $Mod-g fullscreen toggle
-#hc keybind $Mod-Shift-f set_attr clients.focus.floating toggle 
+#hc keybind $Mod-Shift-f set_attr clients.focus.floating toggle
+#hc keybind $Mod-b spawn /home/digit/gittings/herbstluftwm/scripts/maximise.sh  #toggle #maximise.sh ?  ize! XD
+hc keybind $Mod-b spawn maximize.sh
 hc keybind $Mod-Shift-g set_attr clients.focus.floating toggle #idk is this a pop-out-to-float bind?
 #hc keybind $Mod-Shift-m set_attr clients.focus.minimized true
 hc keybind $Mod-Shift-c set_attr clients.focus.minimized true #if this is minimise...
@@ -302,7 +311,14 @@ done
 
 #hc keybind $Mod-Shift-F6 spawn xkil
 #hc keybind $Mod-F3 spawn q3terminal.sh #main dynamic scratchpad
+
+#hrm, gotta rebind this.  for some reason doesnt work on kinesis advantage's soft Function buttons.
 hc keybind $Mod-F3 spawn h3rbinal.sh #main dynamic scratchpad
+# for some reason, kinesis advantage's f3 is XF86AudioPrev, not F3, in xev.
+hc keybind $Mod-XF86AudioPrev spawn h3rbinal.sh #main dynamic scratchpad
+#better one
+hc keybind $Mod-w spawn h3rbinal.sh #main dynamic scratchpad
+
 #... simple as that?
 #yup, tho mibi better on
 #hc keybind $Mod-` spawn h3rbinal.sh #main dynamic scratchpad

+ 9 - 0
.config/mpv/mpv.conf

@@ -1,5 +1,8 @@
 #okay, now the fun serious stuff...  my stuff...
 
+# seems to work okay at top of config.  made video not appear when first tried on end of config.  ... something improperly escaped?
+volume=57
+
 #caching stuff
 cache=yes
 demuxer-max-bytes=40MiB
@@ -34,3 +37,9 @@ framedrop=no
 # you can also include other profiles
 profile=big-cache
 
+#shuda had this long tme ago
+screenshot-directory="~/images/scrots"
+
+#and this too...  may wanna tweak the name date format from this initial copy pasta that has date and video timestamp
+#screenshot-template="%tY-%tm-%td_%tH-%tM-%tS"
+screenshot-template="%tY-%tm-%td_%tH-%tM-%tS"

+ 98 - 0
bin/h3rbinal.sh

@@ -0,0 +1,98 @@
+#!/usr/bin/env bash
+
+# a q3-like (or yakuake-like) terminal for arbitrary applications.
+#
+# this lets a new monitor called "q3terminal" scroll in from the top into the
+# current monitor. There the "scratchpad" will be shown (it will be created if
+# it doesn't exist yet). If the monitor already exists it is scrolled out of
+# the screen and removed again.
+#
+# Warning: this uses much resources because herbstclient is forked for each
+# animation step.
+#
+# If a tag name is supplied, this is used instead of the scratchpad
+
+tag="${1:-scratchpad}"
+hc() { "${herbstclient_command[@]:-herbstclient}" "$@" ;}
+
+termwidth_percent=${WIDTH_PERC:-100}
+mrect=( $(hc monitor_rect -p "" ) )
+termwidth=$(( (${mrect[2]} * termwidth_percent) / 100 ))
+termheight=${HEIGHT_PIXELS:-760}
+#termheight=${HEIGHT_PIXELS:-790}
+
+
+rect=(
+    $termwidth
+    $termheight
+    $(( ${mrect[0]} + (${mrect[2]} - termwidth) / 2 ))
+    $(( ${mrect[1]} - termheight ))
+)
+
+y_line=${mrect[1]}
+
+
+hc chain , add "$tag" , set_attr tags.by-name."$tag".at_end true
+
+
+monitor=q3terminal
+
+exists=false
+if ! hc add_monitor $(printf "%dx%d%+d%+d" "${rect[@]}") \
+                    "$tag" $monitor 2> /dev/null ; then
+    exists=true
+else
+    # remember which monitor was focused previously
+    hc chain \
+        , new_attr string monitors.by-name."$monitor".my_prev_focus \
+        , substitute M monitors.focus.index \
+            set_attr monitors.by-name."$monitor".my_prev_focus M
+fi
+
+update_geom() {
+    local geom=$(printf "%dx%d%+d%+d" "${rect[@]}")
+    hc move_monitor "$monitor" $geom
+}
+
+steps=${ANIMATION_STEPS:-5}
+interval=${ANIMATION_INTERVAL:-0.01}
+
+animate() {
+    progress=( "$@" )
+    for i in "${progress[@]}" ; do
+        rect[3]=$((y_line - (i * termheight) / steps))
+        update_geom
+        sleep "$interval"
+    done
+}
+
+show() {
+    hc lock
+    hc raise_monitor "$monitor"
+    hc focus_monitor "$monitor"
+    hc unlock
+    hc lock_tag "$monitor"
+    animate $(seq $steps -1 0)
+}
+
+hide() {
+    rect=( $(hc monitor_rect "$monitor" ) )
+    local tmp=${rect[0]}
+    rect[0]=${rect[2]}
+    rect[2]=${tmp}
+    local tmp=${rect[1]}
+    rect[1]=${rect[3]}
+    rect[3]=${tmp}
+    termheight=${rect[1]}
+    y_line=${rect[3]} # height of the upper screen border
+
+    animate $(seq 0 +1 $steps)
+    # if q3terminal still is focused, then focus the previously focused monitor
+    # (that mon which was focused when starting q3terminal)
+    hc substitute M monitors.by-name."$monitor".my_prev_focus \
+        and + compare monitors.focus.name = "$monitor" \
+            + focus_monitor M
+    hc remove_monitor "$monitor"
+}
+
+[ $exists = true ] && hide || show